package com.example.controlbrazorobotico.Activities;

import android.annotation.TargetApi;
import android.app.Activity;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

import com.example.controlbrazorobotico.R;

public class Main extends Activity
{
    private String robot = "";

    @TargetApi(Build.VERSION_CODES.HONEYCOMB_MR2)
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        //Log.v("DEBUG", "Cargado el Layout");
        final Button botonProgramado = (Button) findViewById(R.id.ButtonProgrammed);
        botonProgramado.setOnClickListener(new OnClickListener()
        {
        	public void onClick(View arg0)
        	{
    			//Log.v("DEBUG", "Llamamos al Control Programado");
        		Intent intent = new Intent(Main.this, ControlProgramado.class);
        		intent.putExtra("ruta", robot);
        		startActivity(intent);
        	}
        });

        //Log.v("DEBUG", "Cargado el botón Programado");
        final Button botonEjecutar = (Button) findViewById(R.id.ButtonExecute);
        botonEjecutar.setOnClickListener(new OnClickListener()
        {
            public void onClick(View arg0)
            {
                //Log.v("DEBUG", "Llamamos al Envio Directo");
                Intent intent = new Intent(Main.this, EnvioDirecto.class);
                startActivity(intent);
            }
        });

        //Log.v("DEBUG", "Cargado el botón Ejecutar");
        final Button botonPaleta = (Button) findViewById(R.id.ButtonPaleta);
        botonPaleta.setOnClickListener(new OnClickListener()
        {
            public void onClick(View arg0)
            {
                //Log.v("DEBUG", "Llamamos al Control Paleta");
                Intent intent = new Intent(Main.this, ControlPaleta.class);
                startActivity(intent);
            }
        });
        //Log.v("DEBUG", "Cargado el botón Paleta");
    }
}
