package com.example.controlbrazorobotico.util;

import android.app.Activity;
import java.util.ArrayList;

public class Utilidades extends Activity
{
    public ArrayList<String> ParametrosaIncluir(String orden, int nParam, Robot robot, int brazo)
    {
        String ristraminus = "abcdefghijklmnopqrstuvwxz";
        String ristramayus = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
        String[] rangos = robot.RangoParametro(orden, nParam);
        ArrayList<String> listaParametros = new ArrayList<String>();
        if(ristraminus.contains(rangos[0]))
        {
            for(int i=ristraminus.indexOf(rangos[0]); i<=ristraminus.indexOf(rangos[1]); i++)
            {
                listaParametros.add(ristraminus.substring(i, i+1));
            }
        }
        else
        {
            if(ristramayus.contains(rangos[0]))
            {
                for(int i=ristramayus.indexOf(rangos[0]); i<=ristramayus.indexOf(rangos[1]); i++)
                {
                    listaParametros.add(ristramayus.substring(i, i+1));
                }
            }
            else
            {
                if(rangos[0].equals("IRANGE"))
                {
                    int[] rang = robot.RangoTickBrazo(brazo);
                    for(int i=rang[0]; i<=rang[1]; i++)
                    {
                        listaParametros.add("" + i);
                    }
                }
                else
                {
                    if(rangos[0].equals("ARANGE"))
                    {
                        int[] rang = robot.RangoAnguloBrazo(brazo);
                        for(int i=rang[0]; i<=rang[1]; i++)
                        {
                            listaParametros.add("" + i);
                        }
                    }
                    else
                    {
                        for(int i=Integer.parseInt(rangos[0]); i<=Integer.parseInt(rangos[1]); i++)
                        {
                            listaParametros.add("" + i);
                        }
                    }
                }
            }
        }
        return listaParametros;
    }
}
